Subject: bug#60929: 30.0.50; [FR] `file-name-extension' and backup suffixes

From: Ihor Radchenko <[email-masked]>
Date: Wed, 25 Jan 2023 13:18:48 +0000

Eli Zaretskii <[email-masked]> writes:

>> I am not sure what you refer to here.
>
> I mean:
>
>   . given "foo.org.~10~" return the list ("foo" org-mode backup)
>   . given "foo.org.gpg.gz" return ("foo" org-mode epa-file compress)

I do not think that you can deterministically associate file extension
with major mode. Alternative major modes do exist for some file
extensions (like built-in python.el vs. python-mode.el). Just extension
list may suffice in the simplest scenarios.

In addition, given "foo.txt.org.gpg.gz" may return
("foo.txt" "org" "gpg" "gz") not stripping the first .txt as it never
affects how Emacs opens the file.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>